# Uses of Class
org.apache.commons.math3.ml.clustering.CentroidCluster

Packages that use CentroidCluster
Package
Description
org.apache.commons.math3.ml.clustering
Clustering algorithms.

## Uses of CentroidCluster in org.apache.commons.math3.ml.clustering

Methods in org.apache.commons.math3.ml.clustering that return types with arguments of type CentroidCluster
Modifier and Type
Method
Description
`List<CentroidCluster<T>>`
FuzzyKMeansClusterer.`cluster(Collection<T> dataPoints)`
Performs Fuzzy K-Means cluster analysis.
`List<CentroidCluster<T>>`
KMeansPlusPlusClusterer.`cluster(Collection<T> points)`
Runs the K-means++ clustering algorithm.
`List<CentroidCluster<T>>`
MultiKMeansPlusPlusClusterer.`cluster(Collection<T> points)`
Runs the K-means++ clustering algorithm.
`List<CentroidCluster<T>>`
FuzzyKMeansClusterer.`getClusters()`
Returns the list of clusters resulting from the last call to `FuzzyKMeansClusterer.cluster(Collection)`.